package com.composition.android.ad.gromore.impl.custom

import android.content.Context
import com.beizi.fusion.BeiZis
import com.bytedance.sdk.openadsdk.mediation.bridge.custom.MediationCustomInitLoader
import com.bytedance.sdk.openadsdk.mediation.custom.MediationCustomInitConfig

/**
 * @author: HuBoWen
 * @date: 2023/5/4
 * @description:
 */
class BeiZiInitialize : MediationCustomInitLoader() {
    override fun initializeADN(context: Context?, customInitConfig: MediationCustomInitConfig?, localExtra: MutableMap<String, Any>?) {
        if(!isInit){
            Thread{
                BeiZis.init(context, customInitConfig?.appId)
                callInitSuccess()
            }.start()
        }
    }

    override fun getNetworkSdkVersion(): String {
        return BeiZis.getSdkVersion()
    }
}